OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::PersonIdExtractor Class Reference

`#include <personIdExtractor.hpp>`

## Public Member Functions
| PersonIdExtractor (const float confidenceThreshold=0.1f, const float inlierRatioThreshold=0.5f, const float distanceThreshold=30.f, const int numberFramesToDeletePerson=10)
virtual | ~PersonIdExtractor ()
Array< long long > | extractIds (const Array< float > &poseKeypoints, const cv::Mat &cvMatInput, const unsigned long long imageViewIndex=0ull)
Array< long long > | extractIdsLockThread (const Array< float > &poseKeypoints, const cv::Mat &cvMatInput, const unsigned long long imageViewIndex, const long long frameId)

## Constructor & Destructor Documentation

op::PersonIdExtractor::PersonIdExtractor | ( | const float | confidenceThreshold = `0.1f`,
|  | const float | inlierRatioThreshold = `0.5f`,
|  | const float | distanceThreshold = `30.f`,
|  | const int | numberFramesToDeletePerson = `10`
| ) |  |

virtual op::PersonIdExtractor::~PersonIdExtractor | ( |  | ) |
| virtual

## Member Function Documentation

Array<long long> op::PersonIdExtractor::extractIds | ( | const Array< float > & | poseKeypoints,
|  | const cv::Mat & | cvMatInput,
|  | const unsigned long long | imageViewIndex = `0ull`
| ) |  |

Array<long long> op::PersonIdExtractor::extractIdsLockThread | ( | const Array< float > & | poseKeypoints,
|  | const cv::Mat & | cvMatInput,
|  | const unsigned long long | imageViewIndex,
|  | const long long | frameId
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/tracking/personIdExtractor.hpp